libnvme(2)

NAME
struct nvme_persistent_event_entry - Persistent Event

SYNOPSIS
struct nvme_persistent_event_entry {
__u8 etype;
__u8 etype_rev;
__u8 ehl;
__u8 ehai;
__le16 cntlid;
__le64 ets;
__le16 pelpid;
__u8 rsvd16[4];
__le16 vsil;
__le16 el;
};

Members

etype
    Event Type

etype_rev
    Event Type Revision

ehl Event Header Length

ehai
    Event Header Additional Info

cntlid
    Controller Identifier

ets Event Timestamp

pelpid
    Port Identifier

rsvd16
    Reserved

vsil
    Vendor Specific Information Length

el  Event Length